%define name kapitalist
%define version 0.2.1
%define release 1
%define prefix /usr

Summary: A monopoly(R)-like board game, the client.
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Group: Amusement/Boards
Copyright: GPL
URL: http://%{name}.sourceforge.net/
Packager: Daniel Hermann <hoermen@users.sourceforge.net>
BuildRoot: /tmp/%{name}-%{version}-root

%description
Capitalist is a Monopoly(R)-like board game for 2-8 players. Walk
around the board, buy properties, receive rent from your competitors,
try to get monopolies to build houses and hotels on them and finally
be the richest on the board.

Capitalist is server-based and can be played over the internet.

This is the client.
	  
%prep
%setup -q
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip 

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}-%{version}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}-%{version}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_DIR/file.list.%{name}-%{version}

%files -f ../file.list.%{name}-%{version}

%changelog
* Sat Aug 25 2001 Daniel Hermann <hoermen@users.sourceforge.net>
- changes and improvements (used kdevelop spec file as basis)
* Thu Jun 28 2001 Daniel Hermann <Daniel.Hermann@stud.uni-karlsruhe.de>
- adjusted for SuSE64 (prefix)
* Wed Jun 27 2001 Rikard Anglerud <anglerud@mail.com>
- Created spec file


