// -*- C++ -*-
/***************************************************************************
                          field.cpp  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//
// System
//

#include <stdlib.h>
#include <assert.h>

//
// App
//

#include "packets.h"

//
// Game
//

#include "field.h"


Field::Field(KapGame *game, struct packet_field_init_info *finfo)
  : _game(game),
    _location(finfo->location), 
    _type(SAFEFIELD),
    statusflags(0),
    actionflags(0)
{
  assert(_game);
}



Field::~Field()
{
}

//  void Field::enter(Player *pplayer) 
//  { assert(0); }

//  void Field::init_info_for(Player *player, struct packet_field_init_info *pack)
//  { assert(0); }


//  void Field::info_for(Player *player, struct packet_field_info *pack, int event)
//  { assert(0); }

void Field::update(struct packet_field_info *finfo)
{
  assert(finfo->location == _location);
  statusflags = finfo->statusflags;
  actionflags = finfo->actionflags;
}

