// -*- C++ -*-
/***************************************************************************
                          property.cpp  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//
// System
//

#include <stdlib.h>
#include <assert.h>

//
// Game
//

#include "kapgame.h"
#include "property.h"



Property::Property(KapGame *game, struct packet_field_init_info *finfo)
  : Field(game, finfo),
    _owner(NULL),
    _price(finfo->price),
    _is_mortgaged(false)
{
}

Property::~Property()
{
}

//  void Property::enter(Player *player)
//  { assert(0); }
//  {
//    if (!_owner) {   // property has no owner yet
//    }    
//    else if (player != _owner) {  // owned by another player
//      if (!_is_mortgaged)
//      // TODO: prop_info_short: rent was payed to owner
//      pay_rent(player);
//    } else {  //  my own property
//      // TODO: prop_info_short: you own it
//    }
//    // send_prop_info_short
//    return;
//  }

//  void Property::pay_rent(Player *plr)
//  { assert(0); }

//  int Property::buy(Player *player)
//  { assert(0); return 1; }
//  {
//      if ( player->has_enough_money(_price) ) {
//        freelog(LOG_NORMAL, "buy it");
//        _owner = player;
//        player->pay(_price, NULL);
//        // TODO: prop_info_short: bought by "player" loc, 
//      } else {
//        freelog(LOG_NORMAL, "not enough money");
//        // TODO: prop_info_short: not enough money to buy
//      }
//    if ( player->has_enough_money(_price) ) {
    
//    } else {
//      // TODO: prop_info_short: not enough money
//    }    
//  }

//  int Property::mortgage(Player *player)
//  { assert(0); return 1; }
//  {
//  }

//  int Property::unmortgage(Player *player)
//  { assert(0); return 1; }

//  int Property::change_owner(Player *new_owner)
//  { assert(0); return 1; }

//  void Property::info_for(Player *player, struct packet_field_info *, int event)
//  { assert(0); }

void Property::update(struct packet_field_info *finfo)
{
  int s, a;

  assert(finfo->location == _location);

  s = statusflags = finfo->statusflags;
  a = actionflags = finfo->actionflags;

  _owner = (s & IS_OWNED)? _game->player(finfo->owner): NULL;
  _is_mortgaged = (s & IS_MORTGAGED)? true : false;

}




