// -*- C++ -*-

/***************************************************************************
                          centerview.h  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CENTERVIEW_H
#define CENTERVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <qframe.h>
#include <qsize.h>

class QLabel;
class QColor;
class QResizeEvent;

//
// View
//

class KapView;


/**
 * TODO
 */
class CenterView : public QFrame {
  Q_OBJECT

public:

  CenterView(KapView *view, QWidget *parent);
  virtual ~CenterView();

//    virtual QSize sizeHint() const;

  virtual void resizeEvent (QResizeEvent *);

  void set_logo_alignment( int alignment );


protected:

  KapView *_view;

  QLabel *_logo;
  QColor _color;

  int _logoAlign;

protected:
  
  void adjustLogo();
};

#endif // CENTERVIEW_H
