// -*- C++ -*-
/***************************************************************************
                          deed.cpp  -  description
                             -------------------
    begin                : Mon Jul 13 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//
// System
//

#include <assert.h>

//
// Qt
//

//
// App
//

#include "kapitalist.h"

//
// Game
//

//
// View
//

#include "deed.h"


Deed::Deed(KapitalistApp *app, QWidget *parent, int variant)
  : QFrame(parent), _app(app),
    _variant(variant)
{
  switch (variant) {
  case MINI:
    setFixedSize(MINI_WIDTH, MINI_HEIGHT);
    break;
  case NORMAL:
    setFixedSize(NORMAL_WIDTH, NORMAL_HEIGHT);
    break;
  case ELABORATE:
    setFixedSize(ELABORATE_WIDTH, ELABORATE_HEIGHT);
    break;
  default:
    assert(0);
  }
  setFrameStyle( Box | Plain );
  setLineWidth(1);
  setBackgroundColor(QColor(150,150,150));
}


Deed::~Deed()
{
}

void Deed::updateStatus()
{
}

void Deed::select(bool select)
{
  _selected = select;
}
