// -*- C++ -*-
/***************************************************************************
                          deed.h  -  description
                             -------------------
    begin                : Mon Jul 13 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DEED_H
#define DEED_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <qframe.h>

//
// App
//

class KapitalistApp;

//
// Game
//

//
// View
//

/**
 * TODO
 */
class Deed : public QFrame {
  Q_OBJECT

public:
  enum { MINI, NORMAL, ELABORATE };
  enum { MINI_WIDTH = 12, MINI_HEIGHT = 18,
	 NORMAL_WIDTH = 55, NORMAL_HEIGHT = 80,
	 ELABORATE_WIDTH = 70, ELABORATE_HEIGHT = 100 };

//    enum { 
//      MINI_DEFAULT_WIDTH  = 12, 
//      MINI_DEFAULT_HEIGHT = 18,
    
//    };
//    static const QColor normal_color;
//    static const QColor highlight_color;
//    static const QColor mortgaged_color;

public:

  Deed(KapitalistApp *app, QWidget *parent, int variant = NORMAL);
  virtual ~Deed();

  virtual void updateStatus();
  virtual void select(bool select);
  
//    void set_highlighted(bool);
//    void set_mortgaged(bool);

protected:
  
  KapitalistApp *_app;

  const int _variant;
  bool _selected;

};


#endif // DEED_H




