// -*- C++ -*-
/***************************************************************************
                          jaildialog.h  -  description
                             -------------------
    begin                : Mon Jul  9 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef JAILDIALOG_H
#define JAILDIALOG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <kdialogbase.h>

class QLabel;

//
// App
//
class KapitalistApp;


/**
 * TODO
 */
class JailDialog : public KDialogBase
{
  Q_OBJECT

public:

  JailDialog(KapitalistApp *app, QWidget *parent = 0);
  ~JailDialog();
  
protected:
  
  KapitalistApp *_app;

protected slots:

  void slotJailPay();
  void slotJailCard();

};


#endif // JAILDIALOG_H
