// -*- C++ -*-

/***************************************************************************
                          leftview.cpp  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//
// Qt
//

#include <qframe.h>
#include <qcolor.h>

//
// View
//

#include "kapview.h"
#include "leftview.h"
#include "fieldview.h"



LeftView::LeftView(KapView *view, QWidget *parent)
  : QFrame(parent), _view(view)
{
  setFrameStyle( QFrame::Box | QFrame::Sunken);
  setBackgroundColor(_view->leftColor());
//    setMinimumWidth( 400 );
//    _logo = new QLabel(this);
//    _logo->setAlignment(AlignLeft);
//    _logo->setBackgroundColor(_color);
//    _logo->setPixmap(_view->getPixmap("logo"));
//    _logo->setMinimumSize( _logo->sizeHint() );
//    _logoAlign = AlignLeft;
//    _logo->show();
  show();
}

LeftView::~LeftView()
{
}

//  void LeftView::resizeEvent( QResizeEvent *e )
//  {
//    QRect r;

//    if (_logoAlign & AlignTop) {
//      r.setSize(_logo->sizeHint());
//      r.moveLeft( QPoint(width()/2, _logo->height()/2 + 10) );
//    } else {	// all other cases
//      r.setSize(_logo->sizeHint());
//      r.moveLeft( QPoint(width()/2, height()/2) );
//    }
//    _logo->setGeometry(r);
//  }

//  void LeftView::set_logo_alignment( int alignment )
//  {
//    _logoAlign = alignment;
//  }
