// -*- C++ -*-

/***************************************************************************
                          monopview.h  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MONOPVIEW_H
#define MONOPVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <qnamespace.h>
#include <qcolor.h>

//
// App
//

#include "global.h"



const QColor monop_color[BOARD_N_MONOPS] =
{
  Qt::darkMagenta, Qt::cyan, Qt::magenta, QColor(242, 160, 0),
  Qt::red, Qt::yellow, Qt::darkGreen, Qt::blue.light(130)
};

const QColor house_color = Qt::green;
const QColor hotel_color = Qt::darkRed;

#endif // MONOPVIEW_H
