// -*- C++ -*-

/***************************************************************************
                          myplrinfo.h  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYPLRINFO_H
#define MYPLRINFO_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <qframe.h>
#include <qcolor.h>

class QGridLayout;
class QLabel;

//
// View
//

class KapView;


/**
 * TODO
 */
class MyPlrInfo : public QFrame {
  Q_OBJECT

public:

  MyPlrInfo(KapView *view, QWidget *parent);
  virtual ~MyPlrInfo();

  void init();
  void update();
  void set_tokenColor(QColor);

  void showToken();
  void hideToken();

protected:

  KapView *_view;

  QGridLayout *_top;

  QLabel *_topLab;
  QLabel *_nameDesc;
  QLabel *_name;

  QLabel *_tokenDesc;
  QLabel *_token;

  QLabel *_budgetDesc;
  QLabel *_budget;

  QLabel *_debts;

};

#endif // MYPLRINFO_H
