// -*- C++ -*-

/***************************************************************************
                          outputwindow.h  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OUTPUTWINDOW_H
#define OUTPUTWINDOW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <qtextedit.h>
#include <qstring.h>


//
// View
//

class KapView;


/**
 * TODO
 */
class OutputWindow : public QTextEdit {
  Q_OBJECT

public:

  enum {
    CHAT_MODE = 0,
    GAME_MODE = 1,
    LAST_MODE = 2
  };


public:

  OutputWindow(KapView *view, QWidget *parent, int mode = CHAT_MODE);
  virtual ~OutputWindow();

  // TODO: something like con_write(level, char *)

public slots:

  void go_to_end();
  void slotChangeMode(int newmode);

protected:

  KapView *_view;

  int _mode;

};

#endif // OUTPUTWINDOW_H
