// -*- C++ -*-
/***************************************************************************
                          propertydeed.h  -  description
                             -------------------
    begin                : Mon Jul 13 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROPERTYDEED_H
#define PROPERTYDEED_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <qframe.h>

class QVBoxLayout;
class QGridLayout;

class QLabel;

//
// Game
//


//
// App
//

class KapitalistApp;

//
// Game
//

class Property;

//
// View
//

class PropertyView;

#include "deed.h"

/**
 * TODO
 */
class PropertyDeed : public Deed {
  Q_OBJECT

public:

public:

  PropertyDeed(KapitalistApp *app, QWidget *parent, const PropertyView *,
	       int variant = NORMAL);
  virtual ~PropertyDeed();

  virtual void updateStatus();
//    virtual void select(bool select);

protected:
  
  const PropertyView *_propview;
  
  QVBoxLayout *_top;
  QGridLayout *_head;
  QGridLayout *_details;

  QFrame *_headFrm;
  QFrame *_detailsFrm;

  QLabel *lab;
  
protected:

  virtual void addLine(int row, QString text1, QString text2, int money);
  virtual void addLine(int row, QString text1, QString text2, QString rent);
};


#endif // PROPERTYDEED_H




