// -*- C++ -*-
/***************************************************************************
                          propinfodialog.h  -  description
                             -------------------
    begin                : Mon Jul 15 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROPINFODIALOG_H
#define PROPINFODIALOG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt / KDE
//

#include <kdialogbase.h>

class QLabel;
class QSlider;

//
// App
//

class KapitalistApp;

//
// Game
//

class PropertyView;

//
// View
//

class PropertyDeed;


/**
 * TODO
 */
class PropInfoDialog : public KDialogBase
{
  Q_OBJECT

public:

  PropInfoDialog(KapitalistApp *app, QWidget *parent, const PropertyView *);
  ~PropInfoDialog();

  void update_status(int row=-1);
  void update_houseviews(int row=-1);
  void update_money(int row=-1);
  
protected:
  
  KapitalistApp *_app;
  const PropertyView *_propview;

  PropertyDeed *_deed;

protected slots:

  void slotClose();

};


#endif // PROPINFODIALOG_H
