// -*- C++ -*-
/***************************************************************************
                          tradedialog.h  -  description
                             -------------------
    begin                : Mon Jul  9 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRADEDIALOG_H
#define TRADEDIALOG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <kdialogbase.h>

//  #include <qlayout.h>

class QLabel;

//
// App
//

#include <global.h>

class KapitalistApp;

//
// Game
//

class Player;


//
// View
// 

class TradeView;


/**
 * TODO
 */
class TradeDialog : public KDialogBase
{
  Q_OBJECT

public:

  TradeDialog(KapitalistApp *app, QWidget *parent = 0);
  ~TradeDialog();
  
public slots:

//    void slotAddProperty(int propid);
//    void slotAddMoney(int money);
//    void slotAddJailCard();

//    void slotNewTrade();
//    void slotOffer();
//    void slotAccept();
//    void slotReject();

  void slotClose();

//    void slotChangeButtons(int flag);
  void update(struct packet_trade *);

  void updateHoldings();

protected:
  
  KapitalistApp *_app;

//    QList<QFrame> _page;
//    QList<int> _pageIndex;

//    QList<TradeView> _top;

  QVBox *_outerPage[GAME_MAX_PLAYERS];
  int _pageIndex[GAME_MAX_PLAYERS];

  TradeView *_page[GAME_MAX_PLAYERS];

};



#endif // TRADEDIALOG_H

