// -*- C++ -*-
/***************************************************************************
                          version.h  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef VERSION_H
#define VERSION_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/* The following is for the benefit (?) of non-configure make methods: */
#ifndef MAJOR_VERSION
#define MAJOR_VERSION  0
#endif
#ifndef MINOR_VERSION
#define MINOR_VERSION  2
#endif
#ifndef PATCH_VERSION
#define PATCH_VERSION  1
#endif
#ifndef IS_ALPHA_VERSION
#define IS_ALPHA_VERSION 0
#endif
#ifndef IS_BETA_VERSION
#define IS_BETA_VERSION 1
#endif
#ifndef VERSION_STRING
#define VERSION_STRING "0.2.1"
#endif

/* below, KAPITALIST_NAME_VERSION uses pre-processor string concatenation --dwp */
#if IS_ALPHA_VERSION
#define KAPITALIST_NAME_VERSION "Kapitalist version " VERSION_STRING " (alpha)"
#define WORD_VERSION "alpha version"
#else
#if IS_BETA_VERSION
#define KAPITALIST_NAME_VERSION "Kapitalist version " VERSION_STRING " (beta release)"
#define WORD_VERSION "betatest version"
#else
#define KAPITALIST_NAME_VERSION "Kapitalist version " VERSION_STRING
#define WORD_VERSION "version"
#endif /* alpha */
#endif /* beta */

#endif  /* VERSION_H */

