// -*- C++ -*-
/***************************************************************************
                          railroad.h  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef RAILROAD_H
#define RAILROAD_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//
// System
//

#include <stdlib.h>

//
// App
//

#include "global.h"

//
// Game
//

#include "property.h"
#include "player.h"


/**
 * TODO
 */
class Railroad : public Property {
  
public:
  
    // server constructor
//    Railroad(const int location, const int price, const int rent);

    // client constructor
  Railroad(KapGame *game, struct packet_field_init_info *);

  virtual ~Railroad();

  const int rent() const 
    { return _rent * ((_owner!=NULL)? _owner->nrailroads() : 0 ); }

  const int rent_for(const int i) const
    { return _rent * i; }

  const int base_rent() const
    { return _rent; }
//    virtual void enter(Player *);
  
//    virtual void init_info_for(Player *player, struct packet_field_init_info *);
  
protected:

  int _rent;
  
};
  
  
#endif /* RAILROAD_H */
