// -*- C++ -*-
/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Jun 11 23:26:26 CEST 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//
// KDE
//

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

//
// App
//

#include "kapitalist.h"


static const char *description =
	I18N_NOOP("Kapitalist -- a Monopoly(R)-like board game");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

    KAboutData aboutData( "kapitalist", I18N_NOOP("Kapitalist"),
			  VERSION, description, KAboutData::License_GPL,
			  "(c) 2001, Daniel Hermann", 0, 0, 
			  "hoermen@users.sourceforge.net");
    aboutData.addAuthor("Daniel Hermann",0, 
			"hoermen@users.sourceforge.net");
    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

    KApplication app;

    if (app.isRestored())
    {
	RESTORE(KapitalistApp);
    }
    else 
    {
	KapitalistApp *kapitalist = new KapitalistApp();
	kapitalist->show();

	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
//  	if (args->count())
//  	{
//  	    kapitalist->openGameFile(args->arg(0));
//  	}
//  	else
//  	{
//  	    kapitalist->openGameFile();
//  	}
	args->clear();
    }

    return app.exec();
}  

