// -*- C++ -*-

/***************************************************************************
                          cardview.h  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CARDVIEW_H
#define CARDVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <qlabel.h>

//
// View
//

class KapView;


/**
 * TODO
 */
class CardView : public QLabel {
  Q_OBJECT

public:

  CardView(KapView *view, QWidget *parent);
  virtual ~CardView();

  void draw_card( const int type, const int card_no );

protected:

  KapView *_view;

  // nothing

};

  
#endif // CARDVIEW_H
