// -*- C++ -*-

/***************************************************************************
                          diceview.h  -  description
                             -------------------
    begin                : Mon Jun 11 23:26:26 CEST 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DICEVIEW_H
#define DICEVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

//  #include <qlayout.h>
#include <qpixmap.h>
#include <qbitmap.h>
#include <qframe.h>

class QLabel;

//
// View
//

class KapView;


/**
 * TODO
 */
class DiceView : public QObject {
  Q_OBJECT

public:

  DiceView(KapView *view, QWidget *diceParent);
  virtual ~DiceView();

  void init_dice();

  void set_dice(const int die1, const int die2);

  void update();

protected:

  KapView *_view;

  QPixmap _die[6][4];	// 6 values, 4 orientations
  QBitmap _mask;

//    QGridLayout *_top;
  QWidget *_diceParent;

  QLabel *_die1;
  QLabel *_die2;

};

  
#endif // DICEVIEW_H
