// -*- C++ -*-

/***************************************************************************
                          playerinfo.h  -  description
                             -------------------
    begin                : Mon Jun 11 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PLAYERINFO_H
#define PLAYERINFO_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

//
// Qt
//

#include <qgroupbox.h>
#include <qcolor.h>

class QGridLayout;
class QLabel;

//
// View
//

class KapView;

#include <global.h>

/**
 * TODO
 */
class PlayerInfo : public QFrame {
  Q_OBJECT

public:

  PlayerInfo(KapView *view, QWidget *parent);
  virtual ~PlayerInfo();

  void init();
  void update();

  void showToken(int plrid);
  void hideToken(int plrid);

protected:

  KapView *_view;

  QGridLayout *_top;

  QLabel *_topLab;
  
  QLabel *_name[GAME_MAX_PLAYERS];
  QLabel *_token[GAME_MAX_PLAYERS];
  QLabel *_budget[GAME_MAX_PLAYERS];

};

#endif // PLAYERINFO_H
